using m2e 0.13 to work on tycho

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

using m2e 0.13 to work on tycho

Igor Fedorenko-2
With m2e 0.13.0 M5 available in Ingido M5 build in few days, any
objections I update Tycho sources to work and possibly require m2e 0.13?

--
Regards,
Igor
Reply | Threaded
Open this post in threaded view
|

RE: using m2e 0.13 to work on tycho

Sievers, Jan
are you talking about m2eclipse-tycho [1] ? no objection then.

otherwise if tycho itself requires m2e then we should just make sure we don't require GUI parts in a headless build tool.

Regards
Jan

[1] https://github.com/sonatype/m2eclipse-tycho 

-----Original Message-----
From: Igor Fedorenko [mailto:[hidden email]]
Sent: Dienstag, 25. Januar 2011 22:01
To: [hidden email]
Subject: [Tycho Users] using m2e 0.13 to work on tycho

With m2e 0.13.0 M5 available in Ingido M5 build in few days, any
objections I update Tycho sources to work and possibly require m2e 0.13?

--
Regards,
Igor
Reply | Threaded
Open this post in threaded view
|

Re: using m2e 0.13 to work on tycho

Igor Fedorenko-2
Sorry, I was not clear enough. I meant to as if it was okay to require
m2e 0.13.0 to work on tycho source tree. As it turned out, even though I
had to make some adjustments to [1], it is possible to use both m2e
0.12.1 and m2e 0.13.0, so I withdraw my question.

Let me know if this commit causes any troubles, though.

[1]
https://github.com/sonatype/sonatype-tycho/commit/4d1130d16f6f4d13c74ca3cf03f6efe6b93f111e

--
Regards,
Igor

On 11-01-26 03:32 AM, Sievers, Jan wrote:

> are you talking about m2eclipse-tycho [1] ? no objection then.
>
> otherwise if tycho itself requires m2e then we should just make sure we don't require GUI parts in a headless build tool.
>
> Regards
> Jan
>
> [1] https://github.com/sonatype/m2eclipse-tycho
>
> -----Original Message-----
> From: Igor Fedorenko [mailto:[hidden email]]
> Sent: Dienstag, 25. Januar 2011 22:01
> To: [hidden email]
> Subject: [Tycho Users] using m2e 0.13 to work on tycho
>
> With m2e 0.13.0 M5 available in Ingido M5 build in few days, any
> objections I update Tycho sources to work and possibly require m2e 0.13?
>
> --
> Regards,
> Igor
Reply | Threaded
Open this post in threaded view
|

RE: using m2e 0.13 to work on tycho

Tobias Oberlies
Is there a guide how to update from codehaus-m2eclipse to eclipse-m2eclipse? I guess that with the IDs changed, p2 won't automatically replace 0.12.1 by 0.13.0.

How about the Tycho extension for m2eclipse? I think I couldn't see a Tycho extension with "org.eclipse" prefix, so that's why I haven't updated yet.

Regards
Tobias

-----Original Message-----
From: Igor Fedorenko [mailto:[hidden email]]
Sent: 07 February 2011 19:51
To: [hidden email]
Subject: Re: [Tycho Users] using m2e 0.13 to work on tycho

Sorry, I was not clear enough. I meant to as if it was okay to require
m2e 0.13.0 to work on tycho source tree. As it turned out, even though I
had to make some adjustments to [1], it is possible to use both m2e
0.12.1 and m2e 0.13.0, so I withdraw my question.

Let me know if this commit causes any troubles, though.

[1]
https://github.com/sonatype/sonatype-tycho/commit/4d1130d16f6f4d13c74ca3cf03f6efe6b93f111e

--
Regards,
Igor
Reply | Threaded
Open this post in threaded view
|

Re: using m2e 0.13 to work on tycho

Igor Fedorenko-2
There is no automatic update nor workspace migration from m2e 0.12.x to
m2e 0.13.x. You need to recreate workspace using the new m2e version and
reimport all projects. We looked at migration but did not find a nice
way to implement it unfortunately.

m2e-tycho codebase has been updated to work with latest m2e. m2e-tycho
is not moving to Eclipse Foundation, at least not yet, so it will
continue to use org.sonatype namespace.

Getting matching set of m2e components and extensions like m2e-tycho is
currently little tricky because we are still refactoring m2e-core APIs.
Until things settle down, you can install m2e and related plugins from
[1] I maintain.

[1] https://www.sonatype.com/~ifedorenko/m2e4m2e/

--
Regards,
Igor

On 11-02-22 04:52 AM, Oberlies, Tobias wrote:

> Is there a guide how to update from codehaus-m2eclipse to eclipse-m2eclipse? I guess that with the IDs changed, p2 won't automatically replace 0.12.1 by 0.13.0.
>
> How about the Tycho extension for m2eclipse? I think I couldn't see a Tycho extension with "org.eclipse" prefix, so that's why I haven't updated yet.
>
> Regards
> Tobias
>
> -----Original Message-----
> From: Igor Fedorenko [mailto:[hidden email]]
> Sent: 07 February 2011 19:51
> To: [hidden email]
> Subject: Re: [Tycho Users] using m2e 0.13 to work on tycho
>
> Sorry, I was not clear enough. I meant to as if it was okay to require
> m2e 0.13.0 to work on tycho source tree. As it turned out, even though I
> had to make some adjustments to [1], it is possible to use both m2e
> 0.12.1 and m2e 0.13.0, so I withdraw my question.
>
> Let me know if this commit causes any troubles, though.
>
> [1]
> https://github.com/sonatype/sonatype-tycho/commit/4d1130d16f6f4d13c74ca3cf03f6efe6b93f111e
>
> --
> Regards,
> Igor